# URL

    extension URL: CoreStoreDebugStringConvertible

    extension URL: FieldStorableType

    extension URL: ImportableAttributeType

    extension URL: AllowedOptionalObjectiveCKeyPathValue

    extension URL: AllowedObjectiveCAttributeKeyPathValue

    extension URL: QueryableAttributeType

### AllowedOptionalObjectiveCKeyPathValue

- `DestinationValueType`

  #### Declaration

  Swift

      public typealias DestinationValueType = URL

### AllowedObjectiveCAttributeKeyPathValue

- `ReturnValueType`

  #### Declaration

  Swift

      public typealias ReturnValueType = URL

### URL

- `QueryableNativeType`

  #### Declaration

  Swift

      public typealias QueryableNativeType = NSString

- `cs_rawAttributeType`

  #### Declaration

  Swift

      public static let cs_rawAttributeType: NSAttributeType

- `cs_fromQueryableNativeType(_:)`

  #### Declaration

  Swift

      @inline(__always)
      public static func cs_fromQueryableNativeType(_ value: QueryableNativeType) -> URL?

- `cs_toQueryableNativeType()`

  #### Declaration

  Swift

      @inline(__always)
      public func cs_toQueryableNativeType() -> QueryableNativeType